[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.Navigation

Determine how the form is to be navigated

## Declaration

Source position: forms.pp line 1420

`public property TApplication.Navigation: TApplicationNavigationOptions read FNavigation write SetNavigation;`

## Description

Reads or writes a flag to determine the navigation method:
Is Tab used to move to next control?
Does Enter or Ret activate the default action?
Does Esc perform the cancel action?
Does F1 activate a Help system?
Navigation Options is a set, so can take zero or more of the available values

## See also

TApplicationNavigationOptions |  |

The latest version of this document can be found at lazarus-ccr.sourceforge.net.